Base Distribution - Task # 44928

Story # 44921 (Accepted): Decide TypoScript and TYPO3CR Naming

Status: Resolved Priority: Should have
Author: Sebastian Kurfuerst Category: Content Repository
Created: 2013-01-29 Assigned To: Sebastian Kurfuerst
Updated: 2013-01-29 Due date:

Subject: Decide on TYPOS3CR node type names

Description

Related issues:

related to Base Distribution - Story # 44932: Update TYPO3CR Node Type Names ... Needs Feedback

related to Base Distribution - Story # 44981: Rename Node Types to final names New 2013-01-30
related to Base Distribution - Story # 44933: Extract TYPO3CR node type defin... Resolved

duplicated by Base Distribution - Task # 42203: To discuss: naming of 'Sectio... Resolved 2012-10-20
History

#1 - 2013-01-29 16:42 - Sebastian Kurfuerst

- Status changed from New to Accepted

#2 - 2013-01-29 17:56 - Robert Lemke
- Subject changed from Decide on TYPO3CR names to Decide on TYPO3CR node type names

#3 - 2013-01-29 17:57 - Robert Lemke

- Category set to Content Repository

# Node Types

old name: Content Types

## Node

## Hidable (mixin)

- defines the properties for "hidden", "hiddenBeforeDateTime", "hiddenAfterDateTime"

## Versionable (mixin)

- adds the behavior to store multiple versions of the node

## Translatable (mixin)

- adds the behavior to translate nodes

## Folder < Node

- used for organizing nodes
- does not need an external identity, thus no URL.

## Smartfolder < Folder

- does not contain actual sub nodes
- collection is defined through a query

## Document < Node, Hidable
old name: Folder

- is "abstract", cannot be rendered as is

- sub types of Document:
- can be addressed through a URI
- contains one or more Section nodes which may contain content
- can be rendered

- TODO remove title property

- TODO page tree > document tree (?)

## Page < Document

- is the default document paradigm in Neos

- introduce further properties, for example a title

## Shortcut < Document

- refers / forwards to another document

## Blog Post < Document

- introduces specific properties and sub structure

## Content < Node, Hidable
old name: ContentObject

- is not usually accessible through a URI
- can be rendered as part of a document
- may contain further content

- cannot contain documents

## Headline < Content

- introduces specific properties and template

- further content types: Text, Image, TextWithimage, Menu, Html, Plugin, Two-Columns, ...

## Plugin < Content

- delegates rendering of the content to a controller

## ContentCollection < Content
old name: Section

- contains content nodes

#4 - 2013-01-29 17:59 - Robert Lemke
- Status changed from Accepted to Resolved
- Estimated time set to 0.00
- Remaining (hours) set to 0.0
